﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.C1Preview;
using C1.C1Preview.Export;

namespace PrintDocumentRenderTablePDF
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      this.AddTable("Arial", FontStyle.Regular);
      
      this.c1PrintDocument1.Body.Children.Add(new RenderText("-----"));
      
      this.AddTable("Arial", FontStyle.Bold);

      this.c1PrintDocument1.Body.Children.Add(new RenderText("-----"));

      this.AddTable("Verdana", FontStyle.Regular);

      this.c1PrintDocument1.Body.Children.Add(new RenderText("-----"));

      this.AddTable("Verdana", FontStyle.Bold);


      PdfExportProvider expoProv = new PdfExportProvider();
      PdfExporter exporter = (PdfExporter)expoProv.NewExporter();
      exporter.ShowOptions = true;
      //exporter.EmbedTrueTypeFonts = true;
      exporter.Document = this.c1PrintDocument1;
      exporter.Export("test.pdf");
      

      //this.c1PrintDocument1.Export("test.pdf", true);

    }

    private void AddTable(string font, FontStyle style)
    {
      RenderTable rt = new RenderTable();

      rt.Rows.Count = 10;
      rt.Cols.Count = 5;

      rt.Style.Font = new Font(font, 8, style);

      for (int r = 0; r < rt.Rows.Count; r++)
      {
        for (int c = 0; c < rt.Cols.Count; c++)
        {
          rt.Cells[r, c].Text = "Cell " + r + "/" + c;
        }
      }

      this.c1PrintDocument1.Body.Children.Add(rt);
    }
  }
}
